Assign a US phone number to an approved 10DLC campaign. The campaign must be in approved status.
curl --request POST \
--url https://api.zavu.dev/v1/10dlc/campaigns/{campaignId}/phone-numbers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"phoneNumberId": "pn_abc123"
}
'{
"assignment": {
"id": "<string>",
"campaignId": "<string>",
"phoneNumberId": "<string>",
"status": "pending",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"failureReason": "<string>",
"assignedAt": "2023-11-07T05:31:56Z"
}
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
10DLC campaign ID.
ID of the phone number to assign.
Phone number assigned.
Show child attributes
curl --request POST \
--url https://api.zavu.dev/v1/10dlc/campaigns/{campaignId}/phone-numbers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"phoneNumberId": "pn_abc123"
}
'{
"assignment": {
"id": "<string>",
"campaignId": "<string>",
"phoneNumberId": "<string>",
"status": "pending",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"failureReason": "<string>",
"assignedAt": "2023-11-07T05:31:56Z"
}
}